// SampleBaseView.h
#ifndef __SampleBaseView_h
#define __SampleBaseView_h

                                                    // include 0 g //
#include <eikenv.h> // iEikonEnv
#include <eikmenub.h> // For menubar.
#include <coeview.h> // For MCoeView.
#include <QikCategoryModel.h> // uiq specific class for folders


#include "SampleBaseControl.h"
#include "SampleModel.h"

                                          
 
class CSampleBaseView : public CSampleBaseControl, public MCoeView
    { 
public:
                                                   
	CSampleBaseView();
	~CSampleBaseView();
	
	 
	 virtual void ConstructL(const TRect& aRect, CSampleModel* aModel,TUid aViewId,TInt aMenuBarResourceId);

	 virtual void ConstructControlsL();
	 
 
	virtual TUid ViewUid() const;

	 
	virtual void ViewActivatedL(const TVwsViewId& aPrevViewId, TUid aCustomMessageId, const TDesC8& aCustomMessage)=0;
 
    virtual void ViewDeactivated()=0;
	 
    virtual void ViewConstructL()=0;

	 
	TVwsViewId ViewId() const;
	
 
	 virtual TKeyResponse OfferKeyEventL(const TKeyEvent& aKeyEvent, TEventCode aType);

 
	void HandlePointerEventL(const TPointerEvent& aPointerEvent);

 
	 TRect iRect;
 
	virtual void Draw(const TRect& /*aRect*/) const;

	 
	CSampleModel *iModel; // We do not own the model.
	 
	
	TVwsViewId* iCompositeViewId;
	 
	TUid iViewId;
 
	TInt iMenuBarResourceId;
  	 
	};
#endif
