#include "SampleBaseView.h"
#include "globals.h"
#include "SampleAppUi.h"
 CSampleBaseView::CSampleBaseView()
{ 
	iModel=0;
    iAppUi = STATIC_CAST(CSampleAppUi*, iEikonEnv->EikAppUi());                                              
 	}
  
void CSampleBaseView::ConstructL(const TRect& aRect,CSampleModel* aModel,TUid aViewId,TInt aMenuBarResourceId)
    {
   	CSampleBaseControl::ConstructL();
	iViewId=aViewId;
 	iCompositeViewId=0;
 	iCompositeViewId = new(ELeave) TVwsViewId(KUidSample,iViewId);
 	iModel=aModel;
 	iRect=aRect;
 	iMenuBarResourceId=aMenuBarResourceId;
 	CreateWindowL();
 	SetRect(iRect);
  	}
  
void CSampleBaseView::ConstructControlsL()
	{
   	}
    
CSampleBaseView::~CSampleBaseView()
	{
     
	if(iCompositeViewId)
		{
		delete iCompositeViewId;
		iCompositeViewId=0;
		}
      
	}
 TUid CSampleBaseView::ViewUid() const
	{
  	return iViewId;
   	}
    
TVwsViewId CSampleBaseView::ViewId() const
	{
     return *iCompositeViewId;
      
	}
 void CSampleBaseView::ViewActivatedL(const TVwsViewId& /*aPrevViewId*/, TUid /*aCustomMessageId*/, const TDesC8& /*aCustomMessage*/)
	{
  	CEikMenuBar* menuBar = iEikonEnv->AppUiFactory()->MenuBar();
	menuBar->ChangeMenuBarL(0, iMenuBarResourceId, EFalse);

 	if(iFocusedControl)
		{
		iFocusedControl->SetFocus(ETrue);
		}
 	ActivateL();
  	}
   
void CSampleBaseView::ViewDeactivated()
	{
   	}
    
void CSampleBaseView::ViewConstructL()
	{
     }
 TKeyResponse CSampleBaseView::OfferKeyEventL(const TKeyEvent& aKeyEvent, TEventCode aType)
	{
  	CSampleBaseControl::OfferKeyEventL(aKeyEvent,aType);
 	return EKeyWasNotConsumed;
  	}
   
void CSampleBaseView::HandlePointerEventL(const TPointerEvent& aPointerEvent)
	{
    	switch(aPointerEvent.iType)
	{
	 	case TPointerEvent::EButton1Down :
			CCoeControl::HandlePointerEventL(aPointerEvent);
		break;
		case TPointerEvent::EButton1Up:
		break;
    	default:
				
		break;
	}
       
	}
void CSampleBaseView::Draw(const TRect& /*aRect*/) const
	{
 	CWindowGc& gc = SystemGc();
	gc.Clear();
  	} 