// SampleAppUi.h

#ifndef __SampleAppUi_h
#define __SampleAppUi_h
                                                    // include 0 g //
#include <Sample.rsg> // The resources in a compiled format.
#include <QikAppUi.h> // uiq wrapper of CEikAppUi.

#include "SampleBaseView.h" // Base view/controller, all view inherit from the base view.
#include "View1AppViewStub.h" // A concrete view/controller.
#include "SampleModel.h" // A model.
#include "SampleDocument.h" // The document, owns the model.
#include "Sample.hrh" // Enumerations of resource identifiers.
#include "globals.h" // The global definitions for the application.
#include "syncdriver.h"

#  define MEM_SET(ptr, val, cb) memset((void*) (ptr), val, (unsigned long) (cb))

                                                   
/**
 * CSampleAppUi
 */
class CSampleAppUi : public CQikAppUi
    {
        
public:
                                                
	void ConstructL();
	~CSampleAppUi();
                                                   
private:
                                                   
 	void HandleCommandL(TInt aCommand);
             
// 	void DynInitMenuPaneL(TInt aMenuId,CEikMenuPane* aMenuPane);

	void SwitchToViewL(TInt aTargetView);

 	TInt iCurrentView;
 	CSampleBaseView* iAppViews[ETotalNumberOfViews];
 	CSampleModel* iModel;
                                                 
	};
#endif
