// SampleDocument.h

#ifndef __SampleDocument_h
#define __SampleDocument_h
 
#include <QikDocument.h> // uiq wrapper of CEikDocument
#include <QikApplication.h> // uiq wrapper of CEikApplication
#include <QikAppUi.h> // uiq wrapper of CEikAppUi

#include "SampleModel.h"
#include "SampleAppUi.h"

                                              
class CSampleDocument : public CQikDocument
	{
                                                  
public: 
	static CSampleDocument* NewL(CEikApplication& aApp);
	~CSampleDocument();
	
 
	void InitModelL();

 
	void ResetModel();
 
	const CSampleModel* Model();
                
private:
                                         
	CEikAppUi* CreateAppUiL();
	CSampleDocument(CEikApplication& aApp);
	void ConstructL();

	CSampleModel* iModel;  
	};
#endif
