// View1AppViewStub.h

#ifndef __View1AppViewStub_h
#define __View1AppViewStub_h
 
#include "SampleBaseView.h"

                                                    
#include <eikseced.h>
#include <eikcmbut.h>
#include <eikedwin.h>
#include <eiklabel.h>
                                                  
class CView1AppViewStub : public CSampleBaseView
    { 
public:
                                                   
	CView1AppViewStub();
	~CView1AppViewStub();

	 
	void ConstructL(const TRect& aRect, CSampleModel* aModel,TUid aViewId,TInt aMenuBarResourceId);

	void ConstructControlsL();

 
	void ViewActivatedL(const TVwsViewId& aPrevViewId, TUid aCustomMessageId, const TDesC8& aCustomMessage);
	 
	void ViewDeactivated();
	 
	void ViewConstructL();

	HBufC* GetURLInHBufL();

	HBufC* GetUserInHBufL();

    void GetPassword(TDes& aDes);

	void SetLabel(const TDesC& aText);

private:
                                                    
	void Draw(const TRect& /*aRect*/) const;
    
	CEikEdwin* ediServer;
	CEikEdwin* ediUser;
	CEikSecretEditor* ediPassword;
	CEikLabel* lMessage; 

	
	};
#endif
