                                                  
#include "SampleDocument.h"
                                                   
 CSampleDocument::CSampleDocument(CEikApplication& aApp)
		: CQikDocument(aApp)
	{
                                                  
	}
                                                    
 CSampleDocument* CSampleDocument::NewL(CEikApplication& aApp)
	{
  	CSampleDocument* self=new (ELeave) CSampleDocument(aApp);
	CleanupStack::PushL(self);
	self->ConstructL();
	self->ResetModel();
	CleanupStack::Pop();
                                                    
	return self;
	}
                                                     
 void CSampleDocument::ConstructL()
	{
                                                   
	iModel = CSampleModel::NewL();
                                                    
	ResetModel();
    RFs fsSession;

    TInt rc;
	User::LeaveIfError(fsSession.Connect()); // Connect session
	_LIT(KAppDirName, "C:\\System\\Apps\\ISync\\");
	rc = fsSession.MkDir(KAppDirName);
	_LIT(KDataDirName, "C:\\System\\Data\\ISync\\");
	rc = fsSession.MkDir(KDataDirName);
	fsSession.Close();                                                 
	}
                                                   
void CSampleDocument::InitModelL()
	{
                                                     
	iModel->InitModelL();
                                                     
	}
                                                     
void CSampleDocument::ResetModel()
	{
                                                     
	iModel->ResetModel();
                                                    
	}
                                                   
 CSampleDocument::~CSampleDocument()
	{ 
	if(iModel)
		{
		delete iModel;
		iModel=0;
		} 
	}
                                                   
 CEikAppUi* CSampleDocument::CreateAppUiL()
{ 
	return new(ELeave) CSampleAppUi;
                                                 
}
                                                     
const CSampleModel* CSampleDocument::Model()
{
                                                  
	return iModel;
                                                     
}
                                                  